/*
 * GTI (Generic Tools Infrastructure)
 * Copyright (C) ZIH, Technische Universitaet Dresden, Federal Republic of Germany, 2011-2015
 * Copyright (C) Lawrence Livermore National Laboratories, United States of America, 2011-2015
 * Copyright (C) RWTH Aachen University, Federal Republic of Germany, 2013-2015
 *
 * See the file LICENSE.txt in the package base directory for details
 */

#include <mpi.h>
#include <stddef.h>

/**
 * This test evaluates whether we require const correctness that was introduced with MPI 3(?).
 * MPI_Graph_create is available in all MPI versions, thus:
 * - if this test succeeds, we have const correctness
 * - if this test fails, we either lack mpi.h or we don't require const correctness (we hopefully catch the first issue earlier)
 */

int main(int argc, char **argv)
{
  /*Dummy call to avoid any optimization out, its not functional, just to please compilers*/
  const int i=0;
  MPI_Graph_create (MPI_COMM_WORLD,0, &i, &i, 0, NULL);
  return 0;
}
